Bug 699283 - Providing native systemd file for upcoming F15 Feature Systemd
Providing native systemd file for upcoming F15 Feature Systemd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-24 17:28 EDT by Jóhann B. Guðmundsson
Modified: 2011-06-27 10:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:51:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd service file for asterisk.service (354 bytes, text/plain)
2011-04-24 17:28 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-04-24 17:28:30 EDT
Created attachment 494565 [details]
Native systemd service file for asterisk.service

Description of problem:

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-04-24 17:30:11 EDT
To test this.

Copy the file into /lib/systemd/system/ directory 

Run systemctl daemon-reload

Then run

systemctl start/stop/restart/enable/disable munin-node.service
Comment 2 Bill Nottingham 2011-04-26 13:35:33 EDT
Moving systemd service RFEs to rawhide.

At this point, it is not appropriate in the Fedora 15 cycle to add these. Furthermore, at this point, we are still finalizing the packaging guidelines to handle SysV -> systemd upgrades.

We therefore request:
- wait until there are packaging guidelines (this will be announced on the devel list). This ensures that upgrades will work smoothly and we/you won't have to do multiple sets of changes.
- work on these sorts of changes for Fedora 16 where necessary, not Fedora 15, as we're trying to fix things for release.
- do *not* change a service from SysV to systemd in an existing release (such as Fedora 15), as this is the sort of behavior change that goes against our update policy, documented as https://fedoraproject.org/wiki/Updates_Policy
Comment 3 Anthony Messina 2011-06-09 00:52:04 EDT
I believe we'll at least need the tmpfile created, won't we?  I just upgraded to F15 and needed to create this myself.

/etc/tmpfiles.d]# cat asterisk.conf
d       /var/run/asterisk       0755 asterisk asterisk
Comment 4 Jóhann B. Guðmundsson 2011-06-27 07:20:01 EDT
What's the current status on this?

We need this in rawhide the sooner the better.

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 5 Jeffrey C. Ollie 2011-06-27 10:08:36 EDT
The most recent rawhide package has a native systemd service file.  It's worked well for me in the limited testing that I've done.
Comment 6 Jóhann B. Guðmundsson 2011-06-27 10:35:14 EDT
Which packages contain the native systemd service file and does asterisk follow the packaging guidelines as in pack the legacy syvinit script seperatly and or get's dropped if the intention is not continue maintaining the legacy sysv init script. 

Just make note of that on this bug report and close it rawhide I will open another bug if it does not follow the packaging guidelines.
Comment 7 Jeffrey C. Ollie 2011-06-27 10:51:14 EDT
The service file is in the main package.  The legacy sysvinit script has been dropped from the rawhide version of the package.  AFAIK I followed the packaging guidelines but it wouldn't hurt to have someone double check.

Note You need to log in before you can comment on or make changes to this bug.